<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title>Serviceblick Taskmanager Listen verwalten</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/line-awesome/css/line-awesome.min.css?v=[cs_version]">    
    <link rel="stylesheet" href="/style-global/lib/select2/css/select2.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %}

    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-vendor.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="./css/taskmanager-custom.css">
    
</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}  
<div id="contentwrapper" class="az-body">

<div class="az-header">
    <div class="container">
        <div class="az-header-left">
            <a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a> 
            <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/todo.png" alt="Taskmanager"></a>
            <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="CS:Aufgaben">Taskmanager</span></a>
        </div><!-- az-header-left -->
        <div class="az-header-menu">
            <div class="az-header-menu-header">
              <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/todo.png" alt="Taskmanager"></a>
              <a href="" class="close">&times;</a>
            </div><!-- az-header-menu-header -->
        </div><!-- az-header-menu -->
        <div class="az-header-right">
            <div data-permission="frontend.taskmanager" class="az-header-notification mg-l-10 hidden" data-hint="Start a tour at anytime from the help menu." data-hint-position="middle-top">
                <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                    <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
            </div>
            {% include 'snippets/header-apps-menu.tpl' %}
            {% include 'snippets/header-profile-menu.tpl' %}
        </div><!-- az-header-right -->
    </div><!-- container -->
</div><!-- az-header -->

<div class="az-content az-content-mail">
    <div class="container">
        <div class="az-content-left az-content-left-mail  az-content-left-components">
            <div class="az-content-header">
                <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                <a href="" id="azContentLeftHide" class="az-header-arrow">
                    <i class="icon ion-md-arrow-forward d-sm-none"></i>
                    <i class="icon ion-md-close d-none d-sm-block"></i>
                </a>
            </div><!-- az-content-header -->
            {% include 'snippets/content-left-taskmanager-settings-nav.tpl' %}
        </div><!-- az-content-left -->

        <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
            <div class="az-content-breadcrumb">
                
                <span data-i18n="CS:Aufgaben">Taskmanager</span>
                <span data-i18n="Settings">Einstellungen</span>
                <span data-i18n="List">Liste</span>

            </div>
            <div class="d-flex justify-content-between ">
                <h2 class="az-content-title" data-i18n="Set and manage list">Liste festlegen und verwalten  </h2>
            </div>

            <div class="row mg-b-20" id="benachrichtigung">

                <div class="col">
                    <p class="mg-b-20" data-i18n="list setting intro">Hier können Sie Ihre Listen verwalten. Fügen Sie Ihrem Taskmanager eine unbegrenzte Anzahl Liste hinzu. Wählen Sie ein von die Liste unten aus, um es zu bearbeiten.
                    </p>
                
                    <div class="row row-sm mg-t-10">
                        <div class="col-lg-4 mg-b-5">
                            <div class="pd-0">
                                <a class="btn btn-outline-indigo btn-block mb-3"  data-toggle="tab" href="#tabCont" id="button-new-list" data-i18n="Add list"><i class="typcn typcn-plus tx-18 pr-1"></i>Liste hinzufügen</a>
                                <nav class="nav nav-pills flex-column" id="list-container">

                                </nav>
                            </div>
                        </div><!-- col -->
                        <div class="col-lg-8 mg-t-10 mg-lg-t-0" >
                            <div class="card">
                                <div class="card-body bd-0 tab-content">
                                    <div id="tabCont" class="tab-pane active show">
                                        <div class="row row-sm">
                                            <div class="col-lg-6">
                                            <label for="list-name" class="form-label">Name: <span class="tx-danger">*</span></label>
                                            <input id="list-name" name="list-name" type="text" class="form-control"  required="" value="">
                                            <span role="alert" id="list-nameError" class="error" aria-hidden="true" data-i18n="Please enter a name">Please enter a name</span>
                                            </div><!-- col -->
                                            <div class="col-lg-6 mg-t-10 mg-lg-t-0">
                                            <label for="list-permissions" class="form-label" data-toggle="tooltip-primary" data-placement="top" data-original-title="Wenn keine expliziten Berechtigungen festgelegt sind, steht die Liste allen Autorisierten zur Verfügung." data-i18n="If no explicit permissions are set, the list is available to all authorized users.">Berechtigung:</label>
                                            <select id="list-permissions" class="form-control select2" multiple="multiple">
                                            </select>
                                            </div><!-- col -->
                                        </div>
                                        <p id="list-error-msg"></p>
                                        <div class="row row-sm pt-3">
                                        <div class="col-12 mg-t-10 mg-lg-t-0 text-right">
                                            <button class="btn btn-indigo text-nowrap" id="button-list-save"><i class="typcn typcn-tick tx-18 pr-1"></i><span data-I18n="Save changes">Save changes</span></button>
                                            <button class="btn btn-indigo text-nowrap" id="button-list-delete"><i class="typcn typcn-delete tx-18 pr-1"></i><span data-I18n="Delete list">Delete list</span></button>
                                        </div><!-- col -->
                                        </div>
                                    </div><!-- tab-pane -->
                                </div><!-- card-body -->
                            </div><!-- card -->
                        </div><!-- col -->
                    </div>
                
                </div><!-- col -->

            </div><!-- row - permission -->

        </div><!-- az-content-body -->
    </div><!-- container -->
</div><!-- az-content -->

{% include 'snippets/footer.tpl' %}
<!-- az-footer -->

</div> <!-- content wrapper  -->
{% include 'snippets/help-modal-taskmanager.tpl' %}

<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
<script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
<script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
<script src="/style-global/lib/perfect-scrollbar/perfect-scrollbar.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/select2/js/select2.min.js?v=[cs_version]"></script>
<script src="/style-global/js/azia.js?v=[cs_version]"></script>
<script src="/style-global/lib/fnon-notification/fnon.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/quill/quill.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/introjs/intro.min.js?v=[cs_version]"></script>

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';

    new pbBrain().boot("task-manager-list-settings-circuit");
</script>

<script>




        $('#list2').click(function(){
            $('#list-permissions').val("group.test_group").change()  
            $('#list-name').val("List 2")
        })
        $('#list1').click(function(){
            $('#list-permissions').val("group.easy2schedule").change()  
            $('#list-name').val("List 1")
        })
        $('#button-new-list').click(function(){
            $('#list-permissions').val("group.easy2schedule_group").change()  
            $('#list-name').val("")
        })



$(document).ready(function(){
          $('#list-permissions').select2({
            placeholder: 'auswählen'
          })

        })


        

      
         

</script>


<div id="snippets" style="display:None">
    <div id="list-entry-snippet">
         <a class="nav-link border border-1" data-toggle="tab" href="#" id="[{list-entry-id}]">[{list-entry-value}]</a>
    </div>
</div>
</body>

</html>